#include <bits/stdc++.h>
#define MODUL 1000000007

using namespace std;

string s;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    int n;
    cin >> n >> s;
    static long long aujbt[26];
    for (int i = 0; i < n; i++)
    {
        if (s[i] == 'A')
            aujbt[0]++;
        else
            aujbt[s[i]-'A'] = (aujbt[s[i]-'A'] + aujbt[s[i]-'A'-1]) % MODUL;
    }
    cout << aujbt[25];
    return 0;
}